<?php
namespace Modules\RemoteData\Mcp\Prompts;

//use Mcp\Capability\Attribute\McpResource;
//use Mcp\Capability\Attribute\McpTool;
use Psr\Log\LoggerInterface;

final class System
{

    public function __construct(
        private readonly LoggerInterface $logger,
    ) {
        $this->logger->info('Handler `'.__CLASS__.'` instantiated with dependencies.');
    }

    public function systemPrompt():  array
    {
        $this->logger->info("Manual prompt system_prompt read.");

        return [
            ['role' => 'user', 'content' => "I am the MCP server integrated into TINA - enterprise travel ERP and mid-backoffice solution."],
        ];
    }


}

